Bug 1651096 - Passing values through API set to default dialog values
Summary: Passing values through API set to default dialog values
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Tina Fitzgerald
QA Contact: Parthvi Vala
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-19 08:10 UTC by Cyril Coupel
Modified: 2018-12-07 16:13 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-04 21:48:00 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Cyril Coupel 2018-11-19 08:10:06 UTC
Description of problem:
when ordering a catalog item via API, only the default values set via the dialog are used.

Version-Release number of selected component (if applicable):
5.10

How reproducible:
every time

Steps to Reproduce:
1. create a catalog item with a dialog, in the dialog, set some inputs with default values
2. order this catalog item via the API by setting the values via the API
3.

Actual results:
the values are the ones from the default values setup when designing the dialog

Expected results:
the values are the ones from the API

Additional info:
this is tested with run_automate_methods_on_service_api_submit to false as the default. When set to true, it is working as like the 5.8

Comment 2 Tina Fitzgerald 2018-11-19 17:23:07 UTC
Hi Cyril,

The additional information provided states:
"this is tested with run_automate_methods_on_service_api_submit to false as the default. When set to true, it is working as like the 5.8"

The "run_automate_methods_on_service_api_submit" setting is required for this functionality. If it works properly when the setting is true, it is working as designed.

Can we close this ticket?

Thanks,
Tina

Comment 3 Cyril Coupel 2018-11-20 10:14:42 UTC
Sorry i don't understand: You say that now, the default configuration make the API not working as the default value of this parameter is set to false?

If I was clear enought:
When set to the default value (false), the attribute values are the ones from the default value of the dialog => the value setup via the API is not used
When set to true, the attributes values are the ones from the API, if not provided, the value is the ones from the defautl value of the dialog.

So, what is the purpose/use case for the use of the false value, as it is set to false by default and then break the API requests?

Comment 4 Tina Fitzgerald 2018-11-20 19:00:29 UTC
Hi Cyril,

Sorry for the confusion. I spoke to Erik about the issue and he said that it should work properly without the new product setting, as long as you don't care about Automate running. I think one of the PRs was not included in one of the 5.10 builds.  Erik said it worked properly on the latest 5.10 sprout appliance(5.10.0.24).  Could you try it on a 5.10.0.24 appliance?

Thanks,
Tina

Comment 6 Cyril Coupel 2018-12-07 16:13:42 UTC
I did a last test today with the 5.10.0.27 and :
- it is working as expeted with run_automate_methods_on_service_api_submit=false
- it is working as expeted withrun_automate_methods_on_service_api_submit=true

we can close this issue.


Note You need to log in before you can comment on or make changes to this bug.